﻿
body {
    padding-right: 0px !important;
}

.modal-open {
    overflow-y: auto;
}

.login-control {
    margin-top: 10px;
}

.starblue:after {
    content: url("/images/starb.png");
}
/* 2015-10-22 Andrea T Simbolo stato conteggi */
.starpurple:after {
    content: url("/images/starp.png");
}

.starred:after {
    content: url("/images/starr.png");
}

.stargray:after {
    content: url("/images/starg.png");
}

.stargreen:after {
    content: url("/images/stargr.png");
}


.modal-padding-sm {
    padding: 3px !important;
}

.text-align-left {
    text-align: left;
}

.text-align-center {
    text-align: center;
}

.text-align-right {
    text-align: right;
}

.text-align-justify {
    text-align: justify;
}

.text-ellipsis {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.text-strong {
    font-weight: bold;
}

/* 2015-07-23 Andrea T WIZARDC */
.cell-TWTHeader {
    vertical-align: top;
    width: 25px;
}

.cell-fattura {
    vertical-align: top;
    width: 25px;
}

/*.cell-fattura-full:after {
  content: url("/images/info-15.png");
}

.cell-fattura-err:after {
  content: url("/images/error-15.png");
}*/

.cell-fattura-full:before {
    content: url("/images/Invoice48.gif");
}

.cell-fattura-err:before {
    content: url("/images/NoInvoice48.gif");
}


@media only screen and (min-width: 384px) {

    .modal-header {
        padding: 5px;
    }

    .modal-footer {
        padding: 5px;
    }

    .modal-video {
        width: 75%;
    }
}


@media only screen and (min-width: 768px) {

    .modal-video {
        width: 75%;
    }
}


@media only screen and (min-width: 1024px) {

    .modal-video {
        width: 90%;
    }
}


.div-linea {
    border-top: 1px solid #C5C5C5;
    border-bottom: 1px solid #C5C5C5;
    background-color: rgba(227, 227, 227, 0.85);
    padding: 3px 10px 3px 10px;
    min-height: 21px;
}



/*--------- Modifiche barra di navigazione ----------*/
.dropdown-header {
    padding-left: 10px;
    font-style: initial;
    text-transform: uppercase;
    color: rgb(206, 72, 68);
}


.navbar-toggle {
    margin-left: 15px;
}


.navbar-nav {
    margin-bottom: 0px !Important;
}


/*@media only screen and (max-width: 991px) {
  .navbar-brand,
  .navbar-left > li > a,
  .navbar-right > li > a {
    height: 60px;
    / *display: table-cell;* /
    line-height: 2.8em;
    vertical-align: middle;
  }

  .navbar-brand {
    float: initial;
  }
}*/


.navbar-left > li {
    border-bottom-width: 1px;
    border-bottom-color: #E7E7E7;
    border-bottom-style: solid;
    display: table-cell;
    vertical-align: middle;
}


    .navbar-left > li:nth-child(2) {
        border-top-width: 0px;
        border-top-color: none;
    }


.navbar-right > li:last-of-type {
    border-bottom-width: 0px;
    border-bottom-color: none;
}


/* Voci di menù ingrandite (solamente se il device ha risoluzione xs, sm o md) */
@media only screen and (max-width: 1199px) {
    ul.dropdown-menu > li > a {
        height: 60px;
        line-height: 3.8em;
        vertical-align: middle;
    }
}
/*----- Fine modifiche Voci di menù ingrandite ---------*/


/*--------- Squarespace-modal-window ---------------*/
.center {
    margin-top: 50px;
}

.modal-header {
    padding-bottom: 5px;
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
}

.modal-header-warning {
    background-color: rgb(252, 248, 227);
}

.modal-header-error {
    background-color: rgb(242, 222, 222);
}

.modal-header-info {
    background-color: #d6e9c6;
}

.modal-header-question {
    background-color: #bce8f1;
}

.modal-footer {
    padding: 0;
}

.modal-title {
    padding-left: 10px;
}

.modal-footer .btn-group button {
    height: 40px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    border: none;
    border-right: 1px solid #ddd;
}

.modal-footer .btn-group:last-child > button {
    border-right: 0;
}

#modal-body > p {
    padding: 20px;
}

#modal-body > div {
    padding-top: 10px;
    padding-left: 20px;
    padding-right: 20px;
}

    #modal-body > div:first-child {
        padding-top: 20px;
    }

    #modal-body > div:last-child {
        padding-bottom: 20px;
    }

.modal-title > .glyphicon {
    top: 3px;
    padding-right: 10px;
}
/*--------------------------------------------------*/

h1 {
    padding-bottom: 20px;
}


.red {
    color: rgb(206, 72, 68);
}


.red-block {
    border-left-color: rgb(206, 72, 68);
    border-left-width: 3px;
}


.warning-block {
    border-left-color: #e38d13;
    border-left-width: 3px;
}


.warning-label {
    color: #e38d13;
}

.spacer-xs {
    clear: both;
    height: 10px;
}

.spacer-sm {
    clear: both;
    height: 20px;
}

.spacer-ms {
    clear: both;
    height: 30px;
}

.spacer-md {
    clear: both;
    height: 40px;
}

.spacer-lg {
    clear: both;
    height: 60px;
}



/*===== Stili per i messaggi di avviso (vedi _DatiContratto.Mobile.cshtml o _Testata.GoogleAddr.Mobile.cshtml) =====*/
.block-panel {
    box-sizing: border-box;
    color: rgb(51, 51, 51);
    perspective-origin: 333.5px 63px;
    transform-origin: 333.5px 63px;
    border: 1px solid rgb(204, 204, 204);
    border-radius: 3px 3px 3px 3px;
    margin-bottom: 20px;
    outline: rgb(51, 51, 51) none 0px;
    padding: 20px;
}

.block-panel-danger {
    border-left: 5px solid rgb(206, 72, 68);
    background-color: rgba(206, 72, 68, 0.05);
}

.block-panel-alert {
    border-left: 5px solid rgb(240, 173, 78);
    background-color: rgba(240, 173, 78, 0.05);
}

.block-panel-info {
    border-left: 5px solid rgb(27, 128, 158);
    background-color: rgba(27, 128, 158, 0.05);
}


.block-header {
    box-sizing: border-box;
    perspective-origin: 310.5px 9.5px;
    transform-origin: 310.5px 9.5px;
    border: 0px none rgb(27, 128, 158);
    margin: 0px 0px 5px;
}

.block-header-danger {
    color: rgb(206, 72, 68);
    outline: rgb(217, 83, 79) none 0px;
}

.block-header-alert {
    color: rgb(240, 173, 78);
    outline: rgb(27, 128, 158) none 0px;
}

.block-header-info {
    color: rgb(27, 128, 158);
    outline: rgb(27, 128, 158) none 0px;
}


.block-body {
    box-sizing: border-box;
    color: rgb(51, 51, 51);
    perspective-origin: 310.5px 30px;
    transform-origin: 310.5px 30px;
    border: 0px none rgb(51, 51, 51);
    margin: 0px;
    outline: rgb(51, 51, 51) none 0px;
}

.block-panel > ol,
.block-panel > ol {
    margin-bottom: 0px;
}
/*===== Fine :: Stili per i messaggi di avviso =====*/




/*===== Stili per il menù dell'autocomplete =====*/
.ui-autocomplete {
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 1000;
    float: left;
    display: none;
    min-width: 160px;
    width: 160px;
    padding: 4px 0;
    margin: 2px 0 0 0;
    list-style: none;
    background-color: #ffffff;
    border-color: #ccc;
    border-color: rgba(0, 0, 0, 0.2);
    border-style: solid;
    border-width: 1px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    -webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
    -moz-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
    -webkit-background-clip: padding-box;
    -moz-background-clip: padding;
    background-clip: padding-box;
    *border-right-width: 2px;
    *border-bottom-width: 2px;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

.ui-menu-item {
    display: block;
    padding: 10px 15px;
    clear: both;
    font-weight: normal;
    line-height: 18px;
    white-space: nowrap;
    border-bottom-color: lightgray;
    border-bottom-width: 1px;
    border-bottom-style: dotted;
}

.ui-state-hover, .ui-state-active, .ui-state-focus {
    color: #ffffff;
    text-decoration: none;
    background-color: rgb(200, 200, 200);
    border-radius: 0px;
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
    background-image: none;
    border-bottom-color: gray;
    border-bottom-width: 1px;
    border-bottom-style: solid;
    border-top-color: gray;
    border-top-width: 1px;
    border-top-style: solid;
}
/*===== Fine :: Stili per il menù dell'autocomplete =====*/



.risultato-lista-clienti {
    min-height: 400px;
    max-height: 400px;
    overflow-x: hidden;
    overflow-y: auto;
}

.cliente-bloccato {
    text-decoration: line-through;
    color: lightgray;
}




fieldset.bordered {
    border: 1px solid #ddd !important;
    padding: 0 1.4em 1.4em 1.4em !important;
    margin: 0 0 1.5em 0 !important;
    -webkit-box-shadow: 0px 0px 0px 0px #000;
    box-shadow: 0px 0px 0px 0px #000;
    padding-bottom: 5px !important;
}

legend.bordered {
    width: inherit;
    padding: 0 10px;
    border-bottom: none;
    color: black;
    margin-bottom: 5px;
}



.form-group.required .control-label:after {
    content: " *";
    color: rgb(206, 72, 68);
}

.glyphicon.spinning {
    animation: spin 1s infinite linear;
    -webkit-animation: spin2 1s infinite linear;
}

@media only screen and (max-width: 991px) {
    .form-horizontal .control-label {
        text-align: left;
    }
}


.put-left {
    text-align: left !important;
}


#dettaglio-cliente.panel-group,
#block-cantiere {
    margin-bottom: 0px;
}


.full-screen {
    background-color: rgba(255, 255, 255, 1);
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    overflow: scroll;
}


@media only screen and (min-width: 768px) {
    .xs-no-right-padding {
        padding-right: 0px !Important;
    }

    .xs-no-left-padding {
        padding-left: 0px !Important;
    }
}


.no-bottom-padding {
    padding-bottom: 0px !Important;
}


.no-top-padding {
    padding-top: 0px !Important;
}


.lil-right-padding {
    padding-right: 5px !Important;
}


.lil-left-padding {
    padding-left: 5px !Important;
}


.lil-bottom-padding {
    padding-bottom: 10px !Important;
}


.no-bottom-margin {
    margin-bottom: 0px !Important;
}


.no-top-margin {
    margin-top: 0px !Important;
}


.no-right-margin {
    margin-right: 0px !Important;
}


.no-left-margin {
    margin-left: 0px !Important;
}


#pannello-date > .panel-body {
    padding: 5px;
}


#calendar-nav > .btn-group-justified > .btn-group:nth-of-type(odd) {
    width: .15%;
}


#ul-elencodate {
    padding-left: 20px;
    margin-bottom: 0px;
}


.li-seldate {
    height: 20px;
}


#dettaglio-date-sel {
    margin-bottom: 0px;
}


#pannello-date-sel {
    max-height: 275px;
    overflow-x: auto;
}


.thumb-img {
    max-width: 90px;
}


.thumb-container {
    min-width: 310px !important;
    max-width: 450px !important;
}


@media only screen and (max-width: 767px) {
    .thumb-container {
        margin-left: auto;
        margin-right: auto;
    }
}


.panel-body > .panel-group:last-child,
.panel-body > .panel-group:only-child {
    margin-bottom: 0px;
}


.panel-body > .panel:last-child,
.panel-body > .panel:only-child {
    margin-bottom: 0px;
}


.popover {
    z-index: 960 !important;
}


.panel-body > .form-group:last-child,
.panel-body > .form-group:only-child {
    margin-bottom: 0px;
}


fieldset#nuovo-cliente > .form-group,
fieldset#recapiti > .form-group {
    margin-bottom: 0px;
}


footer {
    background-color: grey;
    position: fixed;
    height: 50px;
    bottom: 0;
    width: 100%;
}


#waitPanel {
    position: absolute;
    top: 0px;
    left: 0px;
    min-height: 100%;
    min-width: 100%;
    z-index: 10000;
    background-color: rgba(0, 0, 0, 0.4);
}

    #waitPanel > img {
        position: absolute;
        z-index: 10001;
        transform: translateY(-50%);
    }


.modal {
    overflow-y: auto;
}

.navbar-inverse .navbar-toggle {
    border-width: 0px;
}

    .navbar-inverse .navbar-toggle .icon-bar {
        background-color: #fff;
    }

    .navbar-inverse .navbar-toggle:hover, .navbar-inverse .navbar-toggle:focus {
        background-color: transparent;
    }


/* 2018-01-29 DanieleC per le pagine delle lettere d'incarico */
/* brutta copia del no-more-tables.css fatta sulle classi row e col-*-* del bootstrap */
.rnd-row-h {
    padding-top: 5px;
    border-top: 1px solid #ddd;
    margin: 0px;
    border-bottom: 2px solid #ddd;
}

.rnd-row {
    margin: 0px;
    border-top: 1px solid #ddd;
    padding-top: 5px;
    margin-bottom: 5px;
}

@media (max-width: 767px) {
    .rnd-row {
        border: 2px solid #95d095;
        border-radius: 4px;
        padding-top: 0px;
        margin-bottom: 15px;
    }

        .rnd-row > :first-child {
            padding-top: 5px;
            padding-bottom: 5px;
            margin-bottom: 5px;
            background-color: #95d095;
        }

        .rnd-row > :last-child {
            padding-bottom: 15px;
        }

    .rnd-row-valida {
        border-color: #f0ad4e;
    }

        .rnd-row-valida > :first-child {
            background-color: #f0ad4e;
        }
}

/* 2018-09-04 DanieleC rimuove le frecce dagli input type number */
input[type='number'] {
    -moz-appearance: textfield;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
}

/**2018-10-09 OmarR*/
.table-inf-sched-att TR.inf-att-sched-style-E {
    color: red;
}

.table-inf-sched-att TR.inf-att-sched-style-W {
    color: darkgray;
}

/* 2018-10-24 DanieleC gli input type date fanno schifo */
@media screen and (-webkit-min-device-pixel-ratio: 0) {
    input[type="date"].form-control {
        line-height: 1.42857143;
    }
}

/**2019-01-09 OmarR*/
.table-inf-sync-clifor TR.inf-sync-clifor-style-db {
    color: green;
}

/**2019-02-05 OmarR*/
.btn-sposta-su {
    width: 40%;
    border-radius: 3px;
    height: 20px;
    font-size: 10px !important;
    align-content: center;
    padding: 0px !important;
    line-height: 14px !important;
    background-image: url('/Images/up-arrow.png') !important;
    background-position: center !important;
    background-repeat: no-repeat !important;
}

.btn-sposta-giu {
    width: 40%;
    border-radius: 3px;
    height: 20px;
    font-size: 10px !important;
    align-content: center;
    padding: 0px !important;
    line-height: 14px !important;
    background-image: url('/Images/down-arrow.png') !important;
    background-position: center !important;
    background-repeat: no-repeat !important;
}
